<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Section Padding ');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app-Gradientbg', 'appoi_section', 'Section Box Gradient BG Color ');

addColorPalatOption($wp_customize, 'inquiry_secbxClr1', 'appoi_section', 'Section BG Color 1', '#000000');

addColorPalatOption($wp_customize, 'inquiry_secbxClr2', 'appoi_section', 'Section BG Color 2', '#021B79');

lzCustomLable($wp_customize, 'app_formbg', 'appoi_section', 'Left Side ');

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');

//lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Section Heading ');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Inquiry with us', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Section Heading Color', '#2E8BE9');

// ===========Form Section ==========//




lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'inquiry_formbxtbrdClr1', 'appoi_section', 'Form Box Top Border Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'inquiry_formbxtbrdClr2', 'appoi_section', 'Form Box Top Border Color 2', '#021B79');

addColorPalatOption($wp_customize, 'inquiry_formbxbgClr', 'appoi_section', 'Form Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_fmbbmbrdClr1', 'appoi_section', 'Form Box Bottom Border Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'inquiry_fmbbmbrdClr2', 'appoi_section', 'Form Box Bottom Border Color 2', '#021B79');


addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_forminputtxbgtClr', 'appoi_section', 'Form Input Placeholder Bg Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#87b9eb');

addColorPalatOption($wp_customize, 'inquiry_formbtnbgClr', 'appoi_section', 'Form Button BG Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'inquiry_formbtnbgClr2', 'appoi_section', 'Form Button BG Color 2', '#021B79');

$wp_customize->add_setting(
    'appfm_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'appfm_image_heading',
        array(
            'settings'      => 'appfm_image_heading',
            'section'       => 'appoi_section',
            'label'         => __( 'Form Bottom Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'appfm_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'appfm_image',
        array(
            'section' => 'appoi_section',
            'settings' => 'appfm_image',
            'description' => __('Recommended Image Size: 620X190px', 'luzuk-premium')
        )
    )
);



lzCustomLable($wp_customize, 'app_detailbg', 'appoi_section', 'Right Side');

$wp_customize->add_setting(
    'appdbxtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Empowering Communication, One Conversation at a Time' )
    )
);
$wp_customize->add_control(
    'appdbxtitle',
    array(
        'settings'      => 'appdbxtitle',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rhshedclr', 'appoi_section', 'Right Box Heading Color', '#fff');


$wp_customize->add_setting(
    'appdbxtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected . humour, or randomised words which do not look .' )
    )
);
$wp_customize->add_control(
    'appdbxtxt',
    array(
        'settings'      => 'appdbxtxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rhstxtclr', 'appoi_section', 'Right Box Text Color', '#fff');


$wp_customize->add_setting(
    'ptitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Phone :' )
    )
);
$wp_customize->add_control(
    'ptitle',
    array(
        'settings'      => 'ptitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Title', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infphtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+000 111 222' )
    )
);
$wp_customize->add_control(
    'infphtxt',
    array(
        'settings'      => 'infphtxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'etitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Email : ' )
    )
);
$wp_customize->add_control(
    'etitle',
    array(
        'settings'      => 'etitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Title', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'info@yourmail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Id', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'addtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Address : ' )
    )
);
$wp_customize->add_control(
    'addtitle',
    array(
        'settings'      => 'addtitle',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Title', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Delanson, New York, 12053' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'Luzuk' )
    )
);



lzCustomLable($wp_customize, 'appoin_sicon', 'appoi_section' , 'Social Media Setting');

$wp_customize->add_setting(
    'soctitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Follow us' )
    )
);
$wp_customize->add_control(
    'soctitle',
    array(
        'settings'      => 'soctitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_socheadclr', 'appoi_section', 'Social Media Heading Color', '#0575E6');

$wp_customize->add_setting(
    'soctxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available the majority have suffered' )
    )
);
$wp_customize->add_control(
    'soctxt',
    array(
        'settings'      => 'soctxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_soctextclr', 'appoi_section', 'Social Media Text Color', '#000');

// FACEBOOK 
$wp_customize->add_setting('app_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_fb',
    array(
        'settings'      => 'app_fb',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);

//Instagram
$wp_customize->add_setting('app_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_insta',
    array(
        'settings'      => 'app_insta',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('app_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_tw',
    array(
        'settings'      => 'app_tw',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);


//Pinterest
$wp_customize->add_setting('app_ytube',array('default'=> 'https://www.youtube.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_ytube',
    array(
        'settings'      => 'app_ytube',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'You Tube Url', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_dlhsbcclr', 'appoi_section', 'Right Side Color');

addColorPalatOption($wp_customize, 'inquiry_icnclr', 'appoi_section', 'Icon Color', '#fff');

//addColorPalatOption($wp_customize, 'inquiry_icnhvclr', 'appoi_section', 'Icon Hover Color', '#0575E6');

addColorPalatOption($wp_customize, 'inquiry_phEmAddclr', 'appoi_section', 'Ph No , Email , Adress Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_phEmAddhvclr', 'appoi_section', 'Ph No , Email Text Hover Color', '#0575E6');

addColorPalatOption($wp_customize, 'inquiry_sicnnclr', 'appoi_section', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_sicnhvclr', 'appoi_section', 'Social Icon Hover Color', '#afd3f8');

addColorPalatOption($wp_customize, 'inquiry_sicnnbgclr1', 'appoi_section', 'Social Icon BG Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'inquiry_sicnnbgclr2', 'appoi_section', 'Social Icon BG Color 2', '#021B79');
